Subject: bug#50380: Hard to understand NEWS entry about 'save-some-buffers-default-predicate'

From: Stefan Kangas <[email-masked]>
Date: Sat, 4 Sep 2021 22:01:18 +0200

Juri Linkov <[email-masked]> writes:

> > I find it hard to understand this entry in NEWS:
> >
> > ** New value 'save-some-buffers-root' of 'save-some-buffers-default-predicate'.
> > It allows to ask about saving only files under the project root
> > or in subdirectories of the directory that was default during
> > command invocation.
> >
> > Could someone who understands it please clarify it?  In particular, it
> > would benefit from explaining something like "It allows the
> > 'save-some-buffers' command to ask ...".  Also, how is the "project
> > root" decided?  I think this one very dense sentence should be broken
> > up into two or even three sentences.
>
> There is still open bug#46374 that requires rewriting this feature anyway.

That bug is closed though, should it be re-opened?  Should this bug be
merged into that one?  (I only skimmed it very briefly.)